Consultar oferta
curl --request GET \
--url https://api.example.com/offers/:id \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/offers/:id"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/offers/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"_embedded": {
"id": 4521,
"cpf": "52998224725",
"loanValue": 10000.00,
"installmentsNumber": 36,
"status": "pending",
"hasGuarantee": "false"
},
"_links": { "self": { "href": "/zipconsig-marketplace/offers/4521" } }
}
Ofertas
Consultar oferta
Consulta uma oferta pelo seu ID
GET
/
offers
/
:id
Consultar oferta
curl --request GET \
--url https://api.example.com/offers/:id \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/offers/:id"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/offers/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"_embedded": {
"id": 4521,
"cpf": "52998224725",
"loanValue": 10000.00,
"installmentsNumber": 36,
"status": "pending",
"hasGuarantee": "false"
},
"_links": { "self": { "href": "/zipconsig-marketplace/offers/4521" } }
}
Consulta os detalhes de uma oferta pelo ID.
Todos os endpoints requerem autenticação via Bearer token no header
Authorization.
Consulte o guia de autenticação para obter suas credenciais e gerar um token.Parâmetros
integer
required
ID numérico da oferta
Exemplo
curl -X GET https://hml.zipdin.com.br/zipconsig-marketplace/offers/4521 \
-H "Authorization: Bearer SEU_TOKEN"
{
"_embedded": {
"id": 4521,
"cpf": "52998224725",
"loanValue": 10000.00,
"installmentsNumber": 36,
"status": "pending",
"hasGuarantee": "false"
},
"_links": { "self": { "href": "/zipconsig-marketplace/offers/4521" } }
}
